package cl.pcollaog.eh.api;

import cl.pcollaog.eh.exception.BadRequestException;
import cl.pcollaog.eh.exception.NotFoundException;
import cl.pcollaog.eh.exception.UnauthorizedException;
import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

@RestController
@RequestMapping("/demo")
public class DemoController {


	@GetMapping("/bad")
	public void badRequestException() {
		throw new BadRequestException("Invalid argument");
	}

	@GetMapping("/notfound")
	public void notFoundException() {
		throw new NotFoundException("Entity not found");
	}

	@GetMapping("/unauthorized")
	public void unautorizedException() {
		throw new UnauthorizedException("Invalid Token");
	}

}
